unit service_intf;

{$mode objfpc}{$H+}

// Diese Unit enthält alle Variablen und Datenstrukturen
// die durch den Client an den Server und zurück übergeben werden
// Es ist einen eigene Datei, damit die Variablen im Client immer
// den Variablen im Server entsprechen.

interface

type
  TDataType = double;
  TChar = ansichar;

  TMT4Request = packed record
    Bid: TDataType;
    Ask: TDataType;
  end;

  TMT4Response = packed record
    Bid: TDataType;
    Ask: TDataType;
    ResultArg: TDataType;
  end;

  TMT4History = array of TMT4Response;
  TMT4TickBar = packed record
    LOMCH: array[0..4] of TDataType; // Low, Open, Mean, Close, High
  end;
  TMT4HistoryTickChart = array of TMT4TickBar;

implementation

end.
